/* jasen.h */
/*
**  Tekijt:          Vesa Lappalainen
**                    Ohjelmointikurssi 1991-
** Kommentit ks. jasen.cpp
*/

#ifndef __JASEN_H
#define __JASEN_H

#include <string>
using namespace std;

//----------------------------------------------------------------------------
// Jsenen mrittely
//----------------------------------------------------------------------------

class cJasen {     // Jsenluokka, jolle tulee viel paljon ominaisuuksia
  int tunnus_nro;
  string nimi;
  string hetu;
  string katuosoite;
  string postinumero;
  string postiosoite;
  string kotipuhelin;
  string tyopuhelin;
  string autopuhelin;
  int    liittymisvuosi;
  double jmaksu;
  double maksu;
  string lisatietoja;
  static char erotin;
  static int seuraava_nro;
public:
  cJasen()                                     { alusta();                   }
  cJasen(string &st)                           { setAsString(st);            }

  int   alusta();
  int   setAsString(string &st);
  string getAsString() const;

  void  vastaa_aku_ankka();

  int   operator==(const cJasen &jasen) const;

  void  tulosta(ostream &os) const;

  int Tunnus_nro()                     const   { return tunnus_nro;          }
  int  rekisteroi() { tunnus_nro = seuraava_nro; seuraava_nro++;
                      return tunnus_nro;}
  string kentta_jonoksi(int k) const;
  int sijoita(int k,const string &st);
  int kenttia() const                          { return 13;                  }
  int eka_kysymys() const                      { return  1;                  }
  string kysymys(int k) const;
  int tyhjenna_omat();
};

ostream &operator<<(ostream &os,const cJasen &jasen);
istream &operator>>(istream &is,cJasen &jasen);

#endif
