/* muunnos.h */
#ifndef __MUUNNOS_H
#define __MUUNNOS_H

#ifdef __cplusplus
extern "C" {
#endif


#define TYHJA_ARVO      -1      /* Arvo joka kuvastaa tyhj num. kentt   */
#define TYHJENNA_ARVO   -2      /* Arvo joka kuvastaa kentn tyhjennyst    */
#define TYHJENNA_JONO "=="      /* Jono, joka pakottaa kentn tyhjksi      */

/****************************************************************************/
int                       /* 0 = ei                                         */
onko_tyhjenna_jono(       /* 1 = p:ss oleva jono kskee tyhjentmn kentn*/
  const char *p           /*                                                */
);
char                      /*                                                */
*int_jonoksi(             /* Jonon osoite                                   */
  char *jono             ,/* t   Jono, jonne tulos tulee                    */
  int max_pit            ,/* s   Jonon maksimipituus                        */
  int arvo               ,/* s   Arvo joka muutetaan jonoksi.               */
  const char *formaatti   /* s   Formaatti, jota muutoksessa kytetn      */
);
char                      /*                                                */
*double_jonoksi(          /* Jonon osoite                                   */
  char *jono             ,/* t   Jono, jonne tulos tulee                    */
  int max_pit            ,/* s   Jonon maksimipituus                        */
  double arvo            ,/* s   Arvo joka muutetaan jonoksi.               */
  const char *formaatti   /* s   Formaatti, jota muutoksessa kytetn      */
);
int                       /*                                                */
jono_intiksi(             /*                                                */
  const char *jono       ,/* s   Kokonaisluvuksi muutettava merkkijono      */
  const char *formaatti   /* s   Formaatti jota muunnoksessa kytetn.     */
);
double                    /*                                                */
jono_doubleksi(           /*                                                */
  const char *jono       ,/* s   Reaaliluvuksi muutettava merkkijono        */
  const char *formaatti   /* s   Formaatti jota muunnoksessa kytetn.     */
);


#ifdef __cplusplus
}
#endif


#endif

