/* naytto.h */
/****************************************************************************/
/*
**        N A Y T T O . H
**
** Nytt-luokan esittely
**
**  Tekijt:          Vesa Lappalainen
**                    Ohjelmointikurssi 1991
**  Tehty:            20.12.1991
**  Muutettu:         10.12.1995
**  Mit muutettu:    Muutettu C++ luokaksi
**
**  Muut kommenit ks. naytto.cpp
*/

#ifndef __NAYTTO_H
#define __NAYTTO_H

#include "kerho.h"

//----------------------------------------------------------------------------
// Vakiota
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
//  Nytn mrittely:
//----------------------------------------------------------------------------

class cNaytto {
  cKerho *kerho; // Osoitin kerhoon => voi olla sama kerho monessa nytss

  void tulosta(ostream &os,const cJasen &jasen);
  int  kysy_tiedot(cJasen &jasen);

  void logo(void);
  void avustus(char valinta);
  void paamenu();
  void lisaa_uusi_jasen(char valinta);
  void etsi_jasenen_tiedot(char valinta);
  void tulosteet(char valinta);
  void tietojen_korjailu(char valinta);
  void paivita_jasenmaksuja(char valinta);
public:
  cNaytto(cKerho *p) { kerho = p; }
  ~cNaytto() { kysy_talleta(); }

  void ohjeet(void);
  void kiitokset(void);

  int  lue_tiedosto();
  int  talleta();
  int  kysy_talleta();

  int  paavalinta();
};


#endif
